<?php
    
    namespace Modules\Service\database\seeders;
    
    use Illuminate\Database\Seeder;
    use Illuminate\Support\Arr;
    use Modules\Category\Models\Category;
    use Modules\Service\Models\Service;
    use Modules\Service\Models\ServiceBranches;
    use Modules\Service\Models\ServiceEmployee;
    
    class ServicesTableSeeder extends Seeder
    {
        /**
         * Run the database seeds.
         *
         * @return void
         */
        public function run()
        {
            // Disable foreign key checks!
            \DB::statement('SET FOREIGN_KEY_CHECKS=0;');

            if (env('IS_DUMMY_DATA')) {
                $data = [
                    [
                        'slug' => 'routine-check-ups-and-examinations',
                        'name' => 'Routine check-ups and examinations',
                        'description' => 'Routine check-ups and examinations',
                        'duration_min' => 35,
                        'default_price' => 12.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/general_veterinary_care/routine_check_ups_and_examinations.png'),
                        'category' => 'general-veterinary-care',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,

                    ],
                    [
                        'slug' => 'vaccinations-and-preventive-care',
                        'name' => 'Vaccinations and preventive care',
                        'description' => 'Vaccinations and preventive care',
                        'duration_min' => 25,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/general_veterinary_care/vaccinations_and_preventive_care.png'),
                        'category' => 'general-veterinary-care',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'parasite-control-and-prevention',
                        'name' => 'Parasite control and prevention',
                        'description' => 'Parasite control and prevention',
                        'duration_min' => 30,
                        'default_price' => 16.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/general_veterinary_care/parasite_control_and_prevention.png'),
                        'category' => 'general-veterinary-care',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'nutrition-and-diet-counseling',
                        'name' => 'Nutrition and diet counseling',
                        'description' => 'Nutrition and diet counseling',
                        'duration_min' => 20,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/general_veterinary_care/nutrition_and_diet_counseling.png'),
                        'category' => 'general-veterinary-care',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],


                    [
                        'slug' => '24/7-emergency-services',
                        'name' => '24/7 Emergency Services',
                        'description' => '24/7 Emergency Services',
                        'duration_min' => 40,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/emergency_and_critical_care/24_7_emergency_services.png'),
                        'category' => 'emergency-and-critical-care',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'immediate-medical-attention-for-serious-injuries-or-illnesses',
                        'name' => 'Immediate Medical Attention For Serious Injuries or Illnesses',
                        'description' => 'Immediate medical attention for serious injuries or illnesses',
                        'duration_min' => 56,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/emergency_and_critical_care/immediate_medical_attention_for_serious_injuries_or_illnesses.png'),
                        'category' => 'emergency-and-critical-care',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'intensive-care-and-monitoring-for-critical_cases',
                        'name' => 'intensive Care and Monitoring for Critical Cases',
                        'description' => 'Intensive care and monitoring for critical cases',
                        'duration_min' => 30,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/emergency_and_critical_care/intensive_care_and_monitoring_for_critical_cases.png'),
                        'category' => 'emergency-and-critical-care',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],


                    [
                        'slug' => 'routine-spaying-and-neutering',
                        'name' => 'Routine Spaying and Neutering',
                        'description' => 'Routine spaying and neutering',
                        'duration_min' => 20,
                        'default_price' => 23.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/surgery/routine_spaying_and_neutering.png'),
                        'category' => 'surgery',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'soft-tissue-surgery',
                        'name' => 'Soft Tissue Surgery',
                        'description' => 'Soft tissue surgery',
                        'duration_min' => 55,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/surgery/soft_tissue_surgery.png'),
                        'category' => 'surgery',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'orthopedic-surgery',
                        'name' => 'Orthopedic Surgery',
                        'description' => 'Orthopedic surgery',
                        'duration_min' => 50,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/surgery/orthopedic_surgery.png'),
                        'category' => 'surgery',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],

                    [
                        'slug' => 'dental-check-ups-and-cleanings',
                        'name' => 'Dental Check Ups and Cleanings',
                        'description' => 'Dental check-ups and cleanings',
                        'duration_min' => 10,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/dentistry/dental_check_ups_and_cleanings.png'),
                        'category' => 'dentistry',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'tooth-extractions-and-oral-surgeries',
                        'name' => 'Tooth Extractions and Oral Surgeries',
                        'description' => 'Tooth extractions and oral surgeries',
                        'duration_min' => 20,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/dentistry/tooth_extractions_and_oral_surgeries.png'),
                        'category' => 'dentistry',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'dental-disease-treatment-and-prevention',
                        'name' => 'Dental Disease Treatment and Prevention',
                        'description' => 'Dental disease treatment and prevention',
                        'duration_min' => 30,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/dentistry/dental_disease_treatment_and_prevention.png'),
                        'category' => 'dentistry',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],


                    [
                        'slug' => 'eye-examinations-and-diagnostics',
                        'name' => 'Eye Examinations and Diagnostics',
                        'description' => 'Eye examinations and diagnostics',
                        'duration_min' => 40,
                        'default_price' => 25.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/ophthalmology/eye_examinations_and_diagnostics.png'),
                        'category' => 'ophthalmology',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'treatment-of-eye-infections-and-conditions',
                        'name' => 'Treatment of Eye Infections and Conditions',
                        'description' => 'Treatment of eye infections and conditions',
                        'duration_min' => 25,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/ophthalmology/treatment_of_eye_infections_and_conditions.png'),
                        'category' => 'ophthalmology',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],



                    [
                        'slug' => 'heart-health-assessment',
                        'name' => 'Heart Health Assessment',
                        'description' => 'Heart health assessment',
                        'duration_min' => 15,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/cardiology/heart_health_assessment.png'),
                        'category' => 'cardiology',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'diagnosis-and-management-of-heart-diseases',
                        'name' => 'Diagnosis and Management of Heart Diseases',
                        'description' => 'Diagnosis and management of heart diseases',
                        'duration_min' => 25,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/cardiology/diagnosis_and_management_of_heart_diseases.png'),
                        'category' => 'cardiology',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],



                    [
                        'slug' => 'diagnosis-and-treatment-of-neurological-disorders',
                        'name' => 'Diagnosis and Treatment of Neurological Disorders',
                        'description' => 'Diagnosis and treatment of neurological disorders',
                        'duration_min' => 20,
                        'default_price' => 16.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/neurology/diagnosis_and_treatment_of_neurological_disorders.png'),
                        'category' => 'neurology',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'seizure-management',
                        'name' => 'Seizure Management',
                        'description' => 'Seizure management',
                        'duration_min' => 35,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/neurology/seizure_management.png'),
                        'category' => 'neurology',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],


                    
                    [
                        'slug' => 'breeding-management-and-fertility-testing',
                        'name' => 'Breeding Management and Fertility Testing',
                        'description' => 'Breeding management and fertility testing',
                        'duration_min' => 45,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/reproductive_medicine/breeding_management_and_fertility_testing.png'),
                        'category' => 'reproductive-medicine',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'pregnancy-and-birthing-assistance',
                        'name' => 'Pregnancy and Birthing Assistance',
                        'description' => 'Pregnancy and birthing assistance',
                        'duration_min' => 25,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/reproductive_medicine/pregnancy_and_birthing_assistance.png'),
                        'category' => 'reproductive-medicine',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],


                    [
                        'slug' => 'x-rays-and-ultrasounds-for-diagnostic-purposes',
                        'name' => 'X-rays and Ultrasounds for Diagnostic Purposes',
                        'description' => 'X-rays and ultrasounds for diagnostic purposes',
                        'duration_min' => 40,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/radiology_and_imaging/x-rays-and-ultrasounds-for-diagnostic-purposes.png'),
                        'category' => 'radiology-and-imaging',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'advanced-imaging',
                        'name' => 'Advanced Imaging',
                        'description' => 'Advanced imaging',
                        'duration_min' => 20,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/radiology_and_imaging/advanced-imaging.png'),
                        'category' => 'radiology-and-imaging',
                        'type' => 'veterinary',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],

                     //Grooming Services
                     [
                        'slug' => 'medicated-bath',
                        'name' => 'Medicated Bath',
                        'description' => 'Specialized baths for pets with skin conditions or allergies',
                        'duration_min' => 20,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/bathing-and-shampooing/medicated-bath.png'),
                        'category' => 'bathing-and-shampooing',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'waterless-bath',
                        'name' => 'Waterless Bath',
                        'description' => 'Cleaning without the need for water, suitable for certain situations or pets',
                        'duration_min' => 30,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/bathing-and-shampooing/waterless-bath.png'),
                        'category' => 'bathing-and-shampooing',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'flea-and-tick-bath',
                        'name' => 'Flea and Tick Bath',
                        'description' => 'Targeted treatment to eliminate fleas and ticks.',
                        'duration_min' => 40,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/bathing-and-shampooing/flea-and-tick-bath.png'),
                        'category' => 'bathing-and-shampooing',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'moisturizing-bath',
                        'name' => 'Moisturizing Bath',
                        'description' => 'Nourishing the skin and coat with added moisture',
                        'duration_min' => 50,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/bathing-and-shampooing/moisturizing-bath.png'),
                        'category' => 'bathing-and-shampooing',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'paw-and-foot-soak',
                        'name' => 'Paw and Foot Soak',
                        'description' => 'Soothing bath to clean and moisturize paws and feet',
                        'duration_min' => 20,
                        'default_price' => 42.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/bathing-and-shampooing/paw-and-foot-soak.png'),
                        'category' => 'bathing-and-shampooing',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'ear-cleaning-and-plucking',
                        'name' => 'Ear Cleaning and Plucking',
                        'description' => 'Gentle cleaning and removal of excess hair from the ears',
                        'duration_min' => 30,
                        'default_price' => 53.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/bathing-and-shampooing/ear-cleaning-and-plucking.png'),
                        'category' => 'bathing-and-shampooing',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'brush-Out-before-bath',
                        'name' => 'Brush-Out Before Bath',
                        'description' => 'Removing tangles and mats from the fur before bathing',
                        'duration_min' => 35,
                        'default_price' => 16.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/bathing-and-shampooing/brush-Out-before-bath.png'),
                        'category' => 'bathing-and-shampooing',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'hypoallergenic-bath',
                        'name' => 'Hypoallergenic Bathh',
                        'description' => 'Gentle bath for sensitive-skinned or allergy-prone pets',
                        'duration_min' => 40,
                        'default_price' => 18.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/bathing-and-shampooing/hypoallergenic-bath.png'),
                        'category' => 'bathing-and-shampooing',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],




                    [
                        'slug' => 'full-body-hair-trimming',
                        'name' => 'Full Body Hair Trimming',
                        'description' => 'Trimming and shaping the pet’s fur for a neat appearance',
                        'duration_min' => 50,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/full-body-hair-trimming.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'breed-specific-styling',
                        'name' => 'Breed Specific Styling',
                        'description' => 'Grooming according to the specific requirements and standards of the breed',
                        'duration_min' => 40,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/breed-specific-styling.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'face-and-head-styling',
                        'name' => 'Face and Head Styling',
                        'description' => 'Trimming around the face, ears, and head for a polished look',
                        'duration_min' => 30,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/face-and-head-styling.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'tail-trimming',
                        'name' => 'Tail Trimming',
                        'description' => 'Grooming and shaping the tail to enhance its appearance',
                        'duration_min' => 20,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/tail-trimming.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'feathering-and-blending',
                        'name' => 'Feathering and Blending',
                        'description' => 'Creating a smooth transition between different fur lengths',
                        'duration_min' => 40,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/feathering-and-blending.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'post-grooming-accessories',
                        'name' => 'Post-Grooming Accessories',
                        'description' => 'Optional bandanas, bows, or ribbons for added flair',
                        'duration_min' => 50,
                        'default_price' => 26.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/post-grooming-accessories.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'special-occasion-styling',
                        'name' => 'Special Occasion Styling',
                        'description' => 'Grooming for events, holidays, or special occasions',
                        'duration_min' => 20,
                        'default_price' => 25.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/special-occasion-styling.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'hygienic-trims',
                        'name' => 'Hygienic Trims',
                        'description' => 'Trimming sensitive areas like the sanitary region for cleanliness',
                        'duration_min' => 30,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/hygienic-trims.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'smooth-and-stripping-techniques',
                        'name' => 'Smooth and Stripping Techniques',
                        'description' => 'Using different techniques based on the pet’s coat type',
                        'duration_min' => 35,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/smooth-and-stripping-techniques.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'professional-groomers',
                        'name' => 'Professional Groomers',
                        'description' => ' Conducted by trained and experienced pet groomers',
                        'duration_min' => 20,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/professional-groomers.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'fur-trimming',
                        'name' => 'Fur Trimming',
                        'description' => 'Trimming excess or overgrown fur to maintain a neat appearance',
                        'duration_min' => 30,
                        'default_price' => 15.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/fur-trimming.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'coat-curling',
                        'name' => 'Coat Curling',
                        'description' => 'Enhancing curl patterns in specific breeds',
                        'duration_min' => 45,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/hair-trimming-and-styling/coat-curling.png'),
                        'category' => 'hair-trimming-and-styling',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],






                    [
                        'slug' => 'nail-clipping',
                        'name' => 'Nail Clipping',
                        'description' => 'Trimming the tips of the pet’s nails to an appropriate length',
                        'duration_min' => 30,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/nail-trimming/nail-clipping.png'),
                        'category' => 'nail-trimming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'nail-filing',
                        'name' => 'Nail Filing',
                        'description' => 'Smoothing the edges of the nails after clipping',
                        'duration_min' => 35,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/nail-trimming/nail-filing.png'),
                        'category' => 'nail-trimming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'safety-measures',
                        'name' => 'Safety Measures',
                        'description' => ' Taking precautions to avoid cutting the quick (sensitive part of the nail)',
                        'duration_min' => 20,
                        'default_price' => 32.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/nail-trimming/safety-measures.png'),
                        'category' => 'nail-trimming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'nail-grinding',
                        'name' => 'Nail Grinding',
                        'description' => 'Using a grinder tool to smooth and shorten the nails',
                        'duration_min' => 10,
                        'default_price' => 15.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/nail-trimming/nail-grinding.png'),
                        'category' => 'nail-trimming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],




                    [
                        'slug' => 'ear-wax-removal',
                        'name' => 'Ear Wax Removal',
                        'description' => 'Gently and safely removing excess wax from the ear canal to improve ear health',
                        'duration_min' => 50,
                        'default_price' => 50.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/ear-cleaning/ear-wax-removal.png'),
                        'category' => 'ear-cleaning',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'cleaning-solution',
                        'name' => 'Cleaning Solution',
                        'description' => 'Using a veterinarian-approved ear cleaning solution to dissolve debris and dirt',
                        'duration_min' => 20,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/ear-cleaning/cleaning-solution.png'),
                        'category' => 'ear-cleaning',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'cotton-ball-application',
                        'name' => 'Cotton Ball Application',
                        'description' => 'Using soft cotton balls to clean the outer ear and remove any remaining cleaning solution',
                        'duration_min' => 30,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/ear-cleaning/cotton-ball-application.png'),
                        'category' => 'ear-cleaning',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'ear-massage',
                        'name' => 'Ear Massage',
                        'description' => 'Gentle massaging of the base of the ear to help distribute the cleaning solution and promote blood circulation.',
                        'duration_min' => 35,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/ear-cleaning/ear-massage.png'),
                        'category' => 'ear-cleaning',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'drying-ear-cleaning',
                        'name' => 'Drying Ear Cleaning',
                        'description' => 'Ensuring the ears are completely dry after cleaning to prevent moisture-related problems',
                        'duration_min' => 20,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/ear-cleaning/drying-ear-cleaning.png'),
                        'category' => 'ear-cleaning',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'ear-hair-trimming',
                        'name' => 'Ear Hair Trimming',
                        'description' => 'Carefully trimming excessive hair around the ear canal entrance to reduce the risk of dirt and debris accumulation',
                        'duration_min' => 30,
                        'default_price' => 25.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/ear-cleaning/ear-hair-trimming.png'),
                        'category' => 'ear-cleaning',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],



                    [
                        'slug' => 'brushing',
                        'name' => 'Brushing',
                        'description' => 'Thorough brushing of your pet’s coat to remove loose hair and tangles, promoting a healthy and shiny coat',
                        'duration_min' => 30,
                        'default_price' => 32.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/brushing-and-de-Shedding/brushing.png'),
                        'category' => 'brushing-and-de-Shedding',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'de-shedding-treatment',
                        'name' => 'De-Shedding Treatment',
                        'description' => 'Specialized techniques and tools used to reduce shedding, especially during seasonal changes',
                        'duration_min' => 35,
                        'default_price' => 42.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/brushing-and-de-Shedding/de-shedding-treatment.png'),
                        'category' => 'brushing-and-de-Shedding',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'undercoat-removal',
                        'name' => 'Undercoat Removal',
                        'description' => 'Focused removal of the dense undercoat to minimize shedding and prevent matting',
                        'duration_min' => 20,
                        'default_price' => 14.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/brushing-and-de-Shedding/undercoat-removal.png'),
                        'category' => 'brushing-and-de-Shedding',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'furminator',
                        'name' => 'Furminator',
                        'description' => 'Utilizing Furminator tools to efficiently remove loose hair and reduce shedding’',
                        'duration_min' => 10,
                        'default_price' => 16.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/brushing-and-de-Shedding/furminator.png'),
                        'category' => 'brushing-and-de-Shedding',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'de-matting',
                        'name' => 'De-Matting',
                        'description' => 'Gently detangling and removing mats in your pet’s fur to prevent discomfort and skin issues',
                        'duration_min' => 20,
                        'default_price' => 25.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/brushing-and-de-Shedding/de-matting.png'),
                        'category' => 'brushing-and-de-Shedding',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'coat-conditioning',
                        'name' => 'Coat Conditioning',
                        'description' => 'Applying conditioning products to improve coat health and texture',
                        'duration_min' => 40,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/brushing-and-de-Shedding/coat-conditioning.png'),
                        'category' => 'brushing-and-de-Shedding',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'shedding-control-shampoos',
                        'name' => 'Shedding Control Shampoos',
                        'description' => 'Using specialized shampoos that reduce shedding and promote a healthy coat',
                        'duration_min' => 20,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/brushing-and-de-Shedding/shedding-control-shampoos.png'),
                        'category' => 'brushing-and-de-Shedding',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],



                    [
                        'slug' => 'paw-pad-cleaning',
                        'name' => 'Paw Pad Cleaning',
                        'description' => 'Thorough and gentle cleaning of your pet’s paw pads to ensure hygiene and comfort',
                        'duration_min' => 20,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/paw-pad-care/paw-pad-cleaning.png'),
                        'category' => 'paw-pad-care',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'paw-fur-trimming',
                        'name' => 'Paw Fur Trimming',
                        'description' => 'Trimming excess fur around the paws for cleanliness and comfort',
                        'duration_min' => 10,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/paw-pad-care/paw-fur-trimming.png'),
                        'category' => 'paw-pad-care',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'moisturizing-on-paw-pad',
                        'name' => 'Moisturizing On Paw Pad',
                        'description' => 'Applying pet-safe moisturizers to prevent dryness and cracking',
                        'duration_min' => 20,
                        'default_price' => 25.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/paw-pad-care/moisturizing-on-paw-pad.png'),
                        'category' => 'paw-pad-care',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'paw-massage',
                        'name' => 'Paw Massage',
                        'description' => 'Massaging paw pads to improve circulation and comfort',
                        'duration_min' => 30,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/paw-pad-care/paw-massage.png'),
                        'category' => 'paw-pad-care',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'paw-pad-protection',
                        'name' => 'Paw Pad Protection',
                        'description' => 'Applying protective balms for extreme weather conditions',
                        'duration_min' => 35,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/paw-pad-care/paw-pad-protection.png'),
                        'category' => 'paw-pad-care',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'paw-pad-exfoliation',
                        'name' => 'Paw Pad Exfoliation',
                        'description' => 'Removing dead skin cells to promote healthy pads',
                        'duration_min' => 20,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/paw-pad-care/paw-pad-exfoliation.png'),
                        'category' => 'paw-pad-care',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'paw-pad-pawdicure',
                        'name' => 'Paw Pad Pawdicure',
                        'description' => 'Complete grooming with trimming and polishing nails',
                        'duration_min' => 40,
                        'default_price' => 50.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/paw-pad-care/paw-pad-pawdicure.png'),
                        'category' => 'paw-pad-care',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],



                    [
                        'slug' => 'multi-color-designs',
                        'name' => 'Multi-Color Designs',
                        'description' => 'Creating multi-colored patterns for a vibrant look',
                        'duration_min' => 50,
                        'default_price' => 14.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/fur-coloring/multi-color-designs.png'),
                        'category' => 'fur-coloring',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'safe-and-non-toxic-dyes',
                        'name' => 'Safe and Non-Toxic Dyes',
                        'description' => 'Using only pet-safe coloring products for fur',
                        'duration_min' => 40,
                        'default_price' => 16.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/fur-coloring/safe-and-non-toxic-dyes.png'),
                        'category' => 'fur-coloring',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'temporary-color',
                        'name' => 'Temporary Color',
                        'description' => 'Offering temporary colors that wash out over time',
                        'duration_min' => 30,
                        'default_price' => 25.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/fur-coloring/temporary-color.png'),
                        'category' => 'fur-coloring',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'custom-designs',
                        'name' => 'Custom Designs',
                        'description' => 'Creating unique patterns and designs for fur coloring',
                        'duration_min' => 20,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/fur-coloring/custom-designs.png'),
                        'category' => 'fur-coloring',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'creative-themes',
                        'name' => 'Creative Themes',
                        'description' => 'Applying colors for special occasions or holidays',
                        'duration_min' => 40,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/fur-coloring/creative-themes.png'),
                        'category' => 'fur-coloring',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'single-color-application',
                        'name' => 'Single Color Application',
                        'description' => 'Applying a single color to the pet’s fur',
                        'duration_min' => 50,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/fur-coloring/single-color-application.png'),
                        'category' => 'fur-coloring',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'pet-friendly-coloring-process',
                        'name' => 'Pet-Friendly Coloring Process',
                        'description' => 'Utilizing techniques that minimize stress',
                        'duration_min' => 20,
                        'default_price' => 50.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/fur-coloring/pet-friendly-coloring-process.png'),
                        'category' => 'fur-coloring',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'gentle-color-removal',
                        'name' => 'Gentle Color Removal',
                        'description' => 'Safely removing colors when desired',
                        'duration_min' => 30,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/fur-coloring/gentle-color-removal.png'),
                        'category' => 'fur-coloring',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],




                    [
                        'slug' => 'relaxation-massage',
                        'name' => 'Relaxation Massage',
                        'description' => 'Gentle strokes to promote relaxation and reduce stress',
                        'duration_min' => 10,
                        'default_price' => 16.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/relaxation-massage.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'muscle-tension-relief',
                        'name' => 'Muscle Tension Relief',
                        'description' => 'Targeted massage to release muscle tension and knots',
                        'duration_min' => 40,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/muscle-tension-relief.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'relaxing-aromatherapy',
                        'name' => 'Relaxing Aromatherapy',
                        'description' => 'Incorporating calming scents to enhance the massage experience',
                        'duration_min' => 35,
                        'default_price' => 25.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/relaxing-aromatherapy.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'circulation-enhancement',
                        'name' => 'Circulation Enhancement',
                        'description' => 'Massage to promote better blood flow and circulation',
                        'duration_min' => 25,
                        'default_price' => 28.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/circulation-enhancement.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'pain-management',
                        'name' => 'Pain Management',
                        'description' => 'Specialized massage for pets with chronic pain or discomfort',
                        'duration_min' => 50,
                        'default_price' => 35.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/pain-management.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'rehabilitation-support',
                        'name' => 'Rehabilitation Support',
                        'description' => 'Massage as part of a comprehensive rehab program',
                        'duration_min' => 45,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/rehabilitation-support.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'anxiety-and-stress-reduction',
                        'name' => 'Anxiety and Stress Reduction',
                        'description' => 'Calming massage for anxious or nervous pets',
                        'duration_min' => 40,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/anxiety-and-stress-reduction.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'athletic-performance-support',
                        'name' => 'Athletic Performance Support',
                        'description' => 'Massage for active or athletic pets to prevent injuries',
                        'duration_min' => 35,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/athletic-performance-support.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'coat-and-skin-health-improve-massage',
                        'name' => 'Coat and Skin Health Improve Massage',
                        'description' => 'Massage to improve coat condition and skin health',
                        'duration_min' => 30,
                        'default_price' => 40.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/massage-therapy/coat-and-skin-health-improve-massage.png'),
                        'category' => 'massage-therapy',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],



                    [
                        'slug' => 'whimsical-color-designs',
                        'name' => 'Whimsical Color Designs',
                        'description' => 'Safe and pet-friendly hair coloring with vibrant and creative patterns',
                        'duration_min' => 45,
                        'default_price' => 20.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/creative-grooming/whimsical-color-designs.png'),
                        'category' => 'creative-grooming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'paw-dicure-art',
                        'name' => 'Paw-dicure Art',
                        'description' => 'Nails painted with pet-safe polish in artistic and fun designs',
                        'duration_min' => 40,
                        'default_price' => 10.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/creative-grooming/paw-dicure-art.png'),
                        'category' => 'creative-grooming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'feather-extensions',
                        'name' => 'Feather Extensions',
                        'description' => 'Non-toxic feather extensions added to fur for a boho-chic style',
                        'duration_min' => 30,
                        'default_price' => 32.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/creative-grooming/feather-extensions.png'),
                        'category' => 'creative-grooming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'mohawk-styling-hair-cut',
                        'name' => 'Mohawk Styling Hair Cut',
                        'description' => 'Fun and stylish mohawk haircuts for pets with adventurous personalities',
                        'duration_min' => 25,
                        'default_price' => 30.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/creative-grooming/mohawk-styling-hair-cut.png'),
                        'category' => 'creative-grooming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'costume-grooming',
                        'name' => 'Costume Grooming',
                        'description' => 'Grooming to resemble a favorite character or theme for special occasions',
                        'duration_min' => 35,
                        'default_price' => 16.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/creative-grooming/costume-grooming.png'),
                        'category' => 'creative-grooming',
                        'type' => 'grooming',
                        'user_id' => [25,26,27,28,29,30,31,32],
                        // 'created_by' => 1,
                    ],


                    // [
                    //     'slug' => 'video-consultancy',
                    //     'name' => 'Video Consultancy',
                    //     'description' => '',
                    //     'duration_min' => 0.35,
                    //     'default_price' => 100.00,
                    //     'status' => 1,
                    //     'feature_image' => public_path('/dummy-images/grooming-service/creative-grooming/costume-grooming.png'),
                    //     'category' => 'video-consultancy',
                    //     'type' => 'video-consultancy',
                    //      'user_id' => [18,19,20,21,22,23,24],
                    // ],
                    [
                        'slug' => 'pet_nutrition_consultation',
                        'name' => 'Pet Nutrition Consultation',
                        'description' => 'Healthy Dog Feeding Guide',
                        'duration_min' => 30,
                        'default_price' => 90.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/veterinary-service/general_veterinary_care/parasite_control_and_prevention.png'),
                        'category' => 'video-consultancy',
                        'type' => 'video-consultancy',
                        'user_id' => [18,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                    [
                        'slug' => 'behavioral_consultation',
                        'name' => 'Behavioral Consultation',
                        'description' => '',
                        'duration_min' => 30,
                        'default_price' => 90.00,
                        'status' => 1,
                        'feature_image' => public_path('/dummy-images/grooming-service/creative-grooming/costume-grooming.png'),
                        'category' => 'video-consultancy',
                        'type' => 'video-consultancy',
                        'user_id' => [18,19,20,21,22,23,24],
                        // 'created_by' => 1,
                    ],
                ];
                foreach ($data as $key => $value) {
                    $categroy = Category::where('slug', $value['category'])->first();
                    // $sub_category = $value['sub_category'];
                    $featureImage = $value['feature_image'] ?? null;
                    $serviceData = Arr::except($value, ['sub_category', 'category', 'feature_image','user_id']);
    
                    if (isset($sub_category)) {
                        $sub_category = Category::where('slug', $value['sub_category'])->first();
                    }
    
                    $service = [
                        'slug' => $value['slug'],
                        'name' => $value['name'],
                        'type' => $value['type'],
                        'category_id' => $categroy->id,
                        'sub_category_id' => $sub_category->id ?? null,
                        'description' => $value['description'],
                        'duration_min' => $value['duration_min'],
                        'default_price' => $value['default_price'],
                        'status' => $value['status'],
                    ];
                    $service = Service::create($service);
                    if (isset($featureImage)) {
                        $this->attachFeatureImage($service, $featureImage);
                    }
                    ServiceBranches::create([
                        'service_id' => $service->id,
                        'branch_id' => get_pet_center_id(),
                        'service_price' => $service->default_price ?? 0,
                        'duration_min' => $service->duration_min,
                    ]);
                    foreach ($value['user_id'] as $key => $id) {
                        ServiceEmployee::create([
                            'service_id' => $service->id,
                            'employee_id' => $id,
                        ]);
                    }
                   
                }
            }
            // Enable foreign key checks!
            \DB::statement('SET FOREIGN_KEY_CHECKS=1;');
        }
    
        private function attachFeatureImage($model, $publicPath)
        {
            if(!env('IS_DUMMY_DATA_IMAGE')) return false;
    
            $file = new \Illuminate\Http\File($publicPath);
    
            $media = $model->addMedia($file)->preservingOriginal()->toMediaCollection('feature_image');
    
            return $media;
        }
    }